acpi-support (0.143-5astra1) unstable; urgency=medium
  * update MAC-multilevel support for SE1.6
  * add fly-wm specific lock to screenblank script, including MAC-multilevel support
  * powerbtn-acpi-support.sh: no pm-shutdown, let fly-wm do all
  * LID_SLEEP=true in default/acpi-support
  * sync with debian
  * add compat 9
  * remove debhelper-compat = 12
 -- Alexander Smirnov <support@rusbitech.ru>  Sat, 06 Jun 2020 14:39:12 +0300

acpi-support (0.143-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Add missing Pre-Depends: ${misc:Pre-Depends} in acpi-support.

  [ Josue Ortega ]
  * Remove tab characters from debian/control
  * Add support for cinnamon-screen-saver. Closes: #822620
  * Fix FTCBFS, thanks to Helmut Grohne <helmut@subdivi.de>
    for the patch: (Closes: #897093)
    + Let dh_auto_build pass cross tools to make.
    + Allow substituting build tools in fakekey Makefile.

 -- Josue Ortega <josue@debian.org>  Sun, 19 Apr 2020 11:28:23 -0600

acpi-support (0.143-4) unstable; urgency=medium

  * Add condicion to check for AC Power in acpi-support.serice. Thanks
    to Shannon Brady for the patch <shannonbrady@google.com> Closes: #946600
  * Remove pm-powersave invocation from debian/addons/scripts/power.sh.
    pm-powersave is no longer a package dependency. Closes: #940158
  * Bump Standards-Version to 4.4.1. No changes required
  * debian/control: Add Rules-Requires-Root field

 -- Josue Ortega <josue@debian.org>  Mon, 30 Dec 2019 15:14:11 -0600

acpi-support (0.143-3) unstable; urgency=medium

  * debian/acpi-fakekey.socket: Update ListenFIFO path to use
    /run/acpi_fakekey instead of legacy /var/run. Closes: #932104
  * Drop pm-utils dependendency. Thanks to Michael Biebl
    <biebl@debian.org> for the patch. Closes: #931689
  * Update debian/source/format to 3.0:
    - debian/rules: Remove dh-quilt-addon
  * Remove maintainer scripts supporting ancient package version
  * Remove quilt from build dependencies

 -- Josue Ortega <josue@debian.org>  Sun, 01 Sep 2019 15:15:59 -0600

acpi-support (0.143-2) unstable; urgency=medium

  * Fix installation of default configuration file for acpi-support.
    Closes: #935087

 -- Josue Ortega <josue@debian.org>  Mon, 19 Aug 2019 06:34:39 -0600

acpi-support (0.143-1) unstable; urgency=medium

  * New upstream release (0.143)
  * New maintainer. Closes: #932786
  * Move linked libraries to the end of the build command. Thanks to
    Reiner Herrmann <reiner@reiner-h.de> for the patch. Closes: #925626
  * Update package to use debhelper-compat (= 12)
     - Remove build dependency on dh-systemd
     - debian/rules: Remove systemd-sequence
  * debian/copyright: Update file to machine-readable format (DEP-5)
  * Add ${misc:Pre-Depends} as Pre Dependency for acpi-fakekey package
  * Add acpi-support.default file
  * Remove systemd files from acpi-fakekey.install
  * debian/rules:
    - Add --no-start option to dh_installinit for acpi-fakekey package
    - Update assignation of DEB_HOST_ARCH to use ?=
  * acpi-fakekey.service:
    - Add Install section with Also and WantedBy keys.
    - Add Documentation key
  * Add acpi-support.service unit
  * Change delegation of lid and power events to current logind
    system. Thanks to Mark Hindley <mark@hindley.org.uk> for the
    patch. (Closes: #919942)
  * Bump Standards-Version to 4.4.0. No changes required

 -- Josue Ortega <josue@debian.org>  Sat, 17 Aug 2019 20:15:40 -0600

acpi-support (0.142-9) unstable; urgency=medium

  [ Michael Meskes ]
  * Orphan package

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- Michael Meskes <meskes@debian.org>  Tue, 23 Jul 2019 10:41:13 +0200

acpi-support (0.142-8) unstable; urgency=medium

  * Handle the case of no active dbus. (Closes: #798362)

 -- Michael Meskes <meskes@debian.org>  Thu, 24 Sep 2015 14:55:22 +0200

acpi-support (0.142-7) unstable; urgency=medium

  * Made package build with the merged libsystemd-dev package.
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #779741)
  * Fixed wording in README.Debian to not point to a file that no longer
    exists. (Closes: #774311)
  * Only try using ck-list-sessions if binary is available. (Closes: #791698)
  * Execute xlock in background because it blocks which prevents suspend.
    (Closes: #770539)
  * Init script now declares DBus system bus as required. (Closes: #769326)
  * Made AC check accept more different names for the AC interface.
    (Closes: #774110)

 -- Michael Meskes <meskes@debian.org>  Tue, 01 Sep 2015 11:58:52 +0200

acpi-support (0.142-6) unstable; urgency=medium

  * Fixed typo (Closes: #767953)
  * Adjust power.sh to the fact that AC adapters go by different names.
    (Closes: #766632, #767947)

 -- Michael Meskes <meskes@debian.org>  Mon, 10 Nov 2014 03:49:41 +0100

acpi-support (0.142-5) unstable; urgency=medium

  * /etc/acpi/power.sh needs to figure out which pm-powersave option to use.
    Both, plugging and unplugging, create an ac and a battery event.
    (Closes: #761458)
  * Make power-funcs work even if ck-list-sessions does not return anything
    useful. (Closes: #762176, 763134)
  * Bumped Standards-Version to 3.9.6, no changes needed.
  * Only accept systemd as power management daemon for some events as it
    doesn't handle e.g. battery events. (Closes: #754450)

 -- Michael Meskes <meskes@debian.org>  Tue, 21 Oct 2014 18:40:40 +0200

acpi-support (0.142-4) unstable; urgency=high

  * SECURITY UPDATE: unquoted variables that are computed from user processes
    - quote variables in policy-funcs, power-funcs, screenblank, lid.sh
    - CVE-2014-0484

 -- Michael Meskes <meskes@debian.org>  Wed, 03 Sep 2014 19:12:57 +0200

acpi-support (0.142-3) unstable; urgency=medium

  * Execute xtrlock in background because it blocks which prevents suspend.
    (Closes: #755172)
  * Only check for gnome-settings- instaed of gnome-settings-daemon because
    /proc/<pid>/stat only lists the first 15 characters
    (Closes: #755969)
  * Remove some tests for old power management services.

 -- Michael Meskes <meskes@debian.org>  Sat, 09 Aug 2014 12:21:18 +0200

acpi-support (0.142-2) unstable; urgency=high

  * SECURITY UPDATE: root escalation via race in policy-funcs
    - lib/policy-funcs: use the X console user instead of the one from an
      arbitrary kded4 or gnome-settings-daemon process.
    - power.sh: also source /usr/share/acpi-support/power-funcs.
    - CVE-2014-1419

 -- Michael Meskes <meskes@debian.org>  Fri, 18 Jul 2014 11:54:22 +0200

acpi-support (0.142-1) unstable; urgency=medium

  * Delete config files that may have been left due to a typo.
  * Corrected typo in default file. (Closes: #754055)
  * Imported Upstream version 0.142
  * Remove all configfiles that were obsoleted by the new version.
  * Updated key-constants from latest kernel.

 -- Michael Meskes <meskes@debian.org>  Mon, 07 Jul 2014 13:47:39 +0200

acpi-support (0.141-4) unstable; urgency=medium

  * Removed duplicated lines in changelog
  * Improve test for running systemd-logind.
    Thanks to Marcin Szewczyk <Marcin.Szewczyk@wodny.org> (Closes: #752781)
  * Revert "Simplified check for active display." (Closes: #752283)
  * Added option to shutdown system if suspend fails. (Closes: #704428)

 -- Michael Meskes <meskes@debian.org>  Mon, 30 Jun 2014 13:43:51 +0200

acpi-support (0.141-3) unstable; urgency=medium

  * Added check for i3lock. (Closes: #732690)
  * Downgrade acpi-fakekey dependency to recommendation (Closes: #716777)
  * Fixed typo in /etc/acpi/asus-wireless.sh (Closes: #720639)
  * Simplified check for active display.
  * Remove old asus brightness conffiles (Closes: #706910)
  * Added mate-power-manager and systemd-logind as power managers.
    Thanks to pasky@ucw.cz (Closes: #738696)
  * Bumped Standards-Version to 3.9.5, no changes needed.
  * Added systemd support and improved acpi_fakekey.
    Thanks to David Härdeman <david@hardeman.nu> (Closes: #717398)
  * Make sure on_ac_power error return is not intepreted as not running on AC
    power. (Closes: #728692, #741597)
  * Added systemd support and improved acpi_fakekey.
    Thanks to David Härdeman <david@hardeman.nu> (Closes: #717398)
  * Security is more important than speed, therefore make sure display is
    locked before suspending. (Closes: #593303, #700696)
  * All screen lockers should be suggested alternatives (Closes: #737945)
  * Removed deprecated setting of init priorities.
  * Canonicalized VCS information.

 -- Michael Meskes <meskes@debian.org>  Thu, 19 Jun 2014 13:47:49 +0200

acpi-support (0.141-2) unstable; urgency=low

  * Check for running screensavers before looking for installed ones.
    (Closes: #692262)

 -- Michael Meskes <meskes@debian.org>  Thu, 06 Dec 2012 13:06:59 +0100

acpi-support (0.141-1) unstable; urgency=low

  * Imported Upstream version 0.141:
    + drop asus-brightness-{up,down} handlers and asus-brn-{down,up} scripts.
    + asus-touchpad.sh: Don't handle Synaptics devices.
  * Use hardening build options.
  * Also use variable for switching display back on via xrandr.
    Thanks to Guillem Jover <guillem@debian.org> (Closes: #682012)
  * Accept xautolock as screen locker.
    Thanks to gabriel <gabreal@lavabit.com> (Closes: #683914)
  * Downgraded dependency on consolekit to a suggestion because acpi-support
    works well without it in almost all cases and the overhead created for base
    system is huge. (Closes: #686020)
  * Some more cleaning up of dependencies.
  * Allow both, :0 and :0.0, as display information n getXuser().
    (Closes: #686391)

 -- Michael Meskes <meskes@debian.org>  Fri, 12 Oct 2012 12:11:39 +0200

acpi-support (0.140-5) unstable; urgency=low

  * Rewrote getXuser in power-funcs to only use ck-list-sessions if installed,
    if not fallback to using pinky instead. This enables us to downgrade
    consolekit to a recommendation instead of a dependency. (Closes: #665987)
  * Unset IFS after using it to make other commands use standard setting again.
    (Closes: #680409)

 -- Michael Meskes <meskes@debian.org>  Thu, 05 Jul 2012 11:03:20 +0200

acpi-support (0.140-4) unstable; urgency=low

  * Remove examples that are variants of files still in use.
  * Simplified new sleep and hibernate script.
  * Simplifying some patches as suggested by Cristian Ionescu-Idbohrn
    <cristian.ionescu-idbohrn@axis.com>.
  * Applied patch to simplify power-funcs.
    Thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
  * Simplified and robustified state-funcs.
    Thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
  * Remove dependency of `acpi-support-base` on `kbd | console-utilities` and
    move the dependency on `consolekit` from `acpi-support` to
    `acpi-support-base` since `getXuser()` and `getXconsole()`, using
    `ck-list-sessions` instead of `fgconsole` since 0.140-1, are in
    `power-funcs` which is in `acpi-support-base`.
    Thanks to Paul Menzel <pm.debian@googlemail.com> (Closes: #678241)

 -- Michael Meskes <meskes@debian.org>  Thu, 21 Jun 2012 13:58:02 +0200

acpi-support (0.140-3) unstable; urgency=low

  * Remove hibernatebtn.sh from package. It's no longer needed.
    (Closes: #667514)
  * Also remove the other files deprecated in 0.140-2.

 -- Michael Meskes <meskes@debian.org>  Thu, 05 Apr 2012 11:41:25 +0200

acpi-support (0.140-2) unstable; urgency=low

  * Replaced sleep.sh, hibernate.sh, sleepbtn.sh, hibernatebtn.sh with newly
    written scripts that handle both events to reduce code redundancy.
    (Closes: #664702)
  * Added generic key press event for suspend keys. (Closes: #664703)

 -- Michael Meskes <meskes@debian.org>  Fri, 30 Mar 2012 14:56:50 +0200

acpi-support (0.140-1) unstable; urgency=low

  * Imported new Upstream version 0.140
  * Upstream switched to consolekit to find the current X user, so we do the
    same.
  * Fixed typo in default file. (Closes: #662730)

 -- Michael Meskes <meskes@debian.org>  Tue, 06 Mar 2012 17:44:59 +0100

acpi-support (0.138-14) unstable; urgency=low

  * Re-wrote rules file to not throw an error on binary only builds.

 -- Michael Meskes <meskes@debian.org>  Sun, 04 Mar 2012 15:10:27 +0100

acpi-support (0.138-13) unstable; urgency=low

  * Make xrandr output device configurable. (Closes: #657673)
  * Make sure xscreensaver gets called even is user is in a screen session.
    (Closes: #658232)
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Added event file for WLAN on some Thinkpads. (Closes: #656703)
  * Made ASUS backlit key brightness up/down buttons work.

 -- Michael Meskes <meskes@debian.org>  Sun, 04 Mar 2012 12:29:24 +0100

acpi-support (0.138-12) unstable; urgency=low

  * Check for gnome-settings-daemon instead of gnome-session because the former
    is really needed for power management.
  * Fixed typo that made the script not find KDE4 anymore. (Closes: #655938)
  * Made screen disabling optional for systems without an active user.
    (Closes: #653205)
  * Moved to debhelper 7 and simplified rules file.
  * Do not print an error message if acpid couldn't be restarted because it
    wasn't running. (Closes: #656473)

 -- Michael Meskes <meskes@debian.org>  Fri, 20 Jan 2012 12:37:29 +0100

acpi-support (0.138-11) unstable; urgency=low

  * Check for power management in gnome3.
    Thanks to Matthijs Kooijman <matthijs@stdin.nl> (Closes: #655394)
  * Simplified lid.sh a little bit more.

 -- Michael Meskes <meskes@debian.org>  Thu, 12 Jan 2012 09:52:19 +0100

acpi-support (0.138-10) unstable; urgency=low

  * Made init script use on_ac_power. (Closes: #631629)
  * Fixed typos and language errors in README.Debian.
    Thanks to Wookey <wookey@wookware.org> (Closes: #648422)
  * Made screenblank script use $XUSER that is set instead of the unset $user.
    At the same time added xlock and xtrlock as possible lock managers.
    Thanks to Santiago Garcia Mantinan <manty@debian.org>
    (Closes: #605276, #649562)
  * Also added gnome-screensaver as valid screensaver option.
  * Rolled more logic into /usr/share/acpi-support/screenblank instead of
    duplicating it in /etc/acpi/sleep.sh and /etc/acpi/screenblank.sh.
  * Rewrote and simplified lid.sh.
  * Made power-funcs also use on_ac_power again, removing the very old patch
    that removed it. As we use on_ac_power elsewhere this should be fine here
    as well.
  * Add support for "status" action to the init scripts.
    Thanks to Peter Eisentraut <petere@debian.org> (Closes: #651864)
  * Allow SPIC and SNC events on Sony laptops. (LP: #240915, #295809)
  * Added patch to fix rotation issues. (LP: #217182)
  * Added build-arch and build-indep targets to rules file.
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 13 Dec 2011 14:54:40 +0100

acpi-support (0.138-9) unstable; urgency=low

  * Do not unload uinput module on acpi-fakekey stop. It might be used
    elsewhere. (Closes: #619316)

 -- Michael Meskes <meskes@debian.org>  Wed, 23 Mar 2011 20:15:14 +0100

acpi-support (0.138-8) unstable; urgency=low

  * Create fifo under /var/run instead of using shared memory as filesystem.
    (Closes: #616023)
  * The kernel might give a tty number despite running on a serial line. Make
    sure the scripts can cope with this. (Closes: #612849)
  * Removed old workaround needed when acpi-fakekey became its own package
    because squeeze was released with acpi-fakekey package. (Closes: #613901)

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Mar 2011 11:29:28 +0100

acpi-support (0.138-7) unstable; urgency=low

  * Use /dev/uinput instead of the no longer existing /dev/input/uinput.
    (Closes: #612628) - thanks to Sven Joachim <svenjoac@gmx.de>
  * Use a smaller canon (no forks) to edit /tmp/.X11-unix/* (Closes:
    #609276) - thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-
    idbohrn@axis.com>
  * Added a small explanation why some packages are recommended.
    (Closes: #611699)

 -- Michael Meskes <meskes@debian.org>  Thu, 10 Feb 2011 12:03:35 +0100

acpi-support (0.138-6) unstable; urgency=low

  * Further improvements on power-funcs (Closes: #607981) - thanks to
    Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
  * Cleaned up asus-touchpad.sh and improved error handling (Closes:
    #607624) - thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-
    idbohrn@axis.com>
  * Optimize asus-wireless.sh to consume a few cpu cycles less. (Closes:
    #607976) - thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-
    idbohrn@axis.com>
  * Replaced cat with builtin read (Closes: #608040) - thanks to
    Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
  * Cleaned up and re-diffed patches.
  * Quote name of scripts executed from init script to cope with blanks.
    (Closes: #608117)

 -- Michael Meskes <meskes@debian.org>  Fri, 07 Jan 2011 15:44:35 +0100

acpi-support (0.138-5) unstable; urgency=low

  * Test availability of state-funcs before using it. (Closes: #607435)
  * Also fix CheckPolicy usage in example.
  * Fixed power.sh to not run a subshell for a simple test. (Closes:
    #607061)
  * Joined screenblank patches into one and simplified it some. (Closes:
    #607096)
  * Make state-funcs more efficient and support iw alongside iwconfig.
    (Closes: #607111) - thanks to Cristian Ionescu-Idbohrn
    <cristian.ionescu-idbohrn@axis.com>
  * Make device-funcs work without forking. (Closes: #607128) - thanks
    to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
  * As per recommendation on debian-devel acpi-support-base now depends
    on kbd instead of console-tools.

 -- Michael Meskes <meskes@debian.org>  Sun, 19 Dec 2010 14:27:15 +0100

acpi-support (0.138-4) unstable; urgency=low

  * Active console may also be 'serial'. (Closes: #606214)

 -- Michael Meskes <meskes@debian.org>  Sat, 11 Dec 2010 14:46:55 +0100

acpi-support (0.138-3) unstable; urgency=low

  * Fixed another breakage due to the power-funcs error checking.
    (Closes: #605219)

 -- Michael Meskes <meskes@debian.org>  Thu, 02 Dec 2010 08:42:47 +0100

acpi-support (0.138-2) unstable; urgency=low

  * Made power-funs patch work correctly if X is not running on the
    active console. (Closes: #605219)

 -- Michael Meskes <meskes@debian.org>  Sun, 28 Nov 2010 14:07:20 +0100

acpi-support (0.138-1) unstable; urgency=low

  * New Upstream version 0.138, we keep the files upstream deleted because we
    are still on an older kernel.
  * Added patch to optimize policy functions. (Closes: #603864) - thanks
    to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
  * Make power-funcs work correctly with latest X and gdm3. (Closes:
    #591813, #603796) - thanks to Luca Niccoli <lultimouomo@gmail.com>
  * Robustify power-funcs and log errors where possible. (Closes:
    #604251) - thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-
    idbohrn@axis.com>

 -- Michael Meskes <meskes@debian.org>  Fri, 26 Nov 2010 16:45:44 +0100

acpi-support (0.137-7) unstable; urgency=low

  * Adjusted remaining scripts to new CheckPolicy function. (Closes:
    #603738)

 -- Michael Meskes <meskes@debian.org>  Wed, 17 Nov 2010 09:47:42 +0100

acpi-support (0.137-6) unstable; urgency=low

  * Re-diffed patches to remove fuzz. (Closes: #593518)
  * Update key-constants from 2.6.32 kernel in squeeze. (Closes:
    #603471)
  * Optimized CheckPolicy to save resources. (Closes: #593975)

 -- Michael Meskes <meskes@debian.org>  Mon, 15 Nov 2010 14:22:40 +0100

acpi-support (0.137-5) unstable; urgency=low

  * Removed leftover packaging files coming from the Ubuntu debian/
    directory. (Closes: #591815)
  * Improve suspned time by backgrounding X commands. (Closes: #593303)
    - thanks to David Fries <david@fries.net>

 -- Michael Meskes <meskes@debian.org>  Tue, 17 Aug 2010 09:48:09 +0200

acpi-support (0.137-4) unstable; urgency=low

  * Added option to suspend laptop on lid close. (Closes: #589625) -
    thanks to Luca Niccoli <lultimouomo@gmail.com>
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 16 Aug 2010 15:33:16 +0200

acpi-support (0.137-3) unstable; urgency=low

  * Re-added lost brace to policy-funcs. (Closes: #587599)
  * Give udev time to create devices before starting acpi-fakekeyd.
    (Closes: #584203)

 -- Michael Meskes <meskes@debian.org>  Fri, 02 Jul 2010 17:59:04 +0200

acpi-support (0.137-2) unstable; urgency=low

  * Bumped versioned build-dependency on debhelper.
  * Bumped Standards-Version to 3.9.0, no changes needed.
  * Deleted stray 'i' in power-funcs.
  * Converted Conflicts to Breaks.

 -- Michael Meskes <meskes@debian.org>  Tue, 29 Jun 2010 13:50:31 +0200

acpi-support (0.137-1) unstable; urgency=low

  * Imported new Upstream version 0.137
  * Removed old event handlers in /etc/acpi/events that are no longer
    distributed by this package.
  * Fixed wireless toggling by rewriting the functions to use rfkill.
    (Closes: #581312) - thanks to Luca Niccoli <lultimouomo@gmail.com>
  * Made sure that ASUS key events are not handled on EeePCs because
    they are correctly handled by the kernel input layer on these
    systems. (Closes: #586924)

 -- Michael Meskes <meskes@debian.org>  Thu, 24 Jun 2010 14:08:54 +0200

acpi-support (0.136-4) unstable; urgency=low

  * Make sure acpi_fakekeyd sends a EV_SYN package after the key press
    event. (Closes: #577603)
  * Do not try to provide a login environment when calling su which is
    neither needed nor correctly implemented in this script. (Closes:
    #585736)

 -- Michael Meskes <meskes@debian.org>  Tue, 15 Jun 2010 18:48:21 +0200

acpi-support (0.136-3) unstable; urgency=low

  * Do not complain if daemon is already running.
  * Do not recommend hal because it doesn't seem to be needed anymore.
    (Closes: #580019)

 -- Michael Meskes <meskes@debian.org>  Tue, 04 May 2010 14:02:16 +0200

acpi-support (0.136-2) unstable; urgency=low

  * Added postinst script to make sure acpi_fakekeyd is stopped before
    starting it (Closes: #579798)

 -- Michael Meskes <meskes@debian.org>  Sat, 01 May 2010 19:24:42 +0200

acpi-support (0.136-1) unstable; urgency=low

  * New Upstream version 0.136: drop asus-eee-volume-* event handlers, which
    are also now superseded by a kernel input device. (Closes: #578889)
  * Moved acpi_fakekey to its own package. (Closes: #487697)
  * Added source/format file.
  * Do not run power management scripts before syslog starts. (Closes: #578637)

 -- Michael Meskes <meskes@debian.org>  Sun, 25 Apr 2010 17:03:56 +0200

acpi-support (0.133-2) unstable; urgency=low

  * Use logger for error message in power button script to make sure the admin
    can see it in the logs.
  * Get system information from kernel interface instead of using
    dmidecode. (Closes: #572931)

 -- Michael Meskes <meskes@debian.org>  Fri, 19 Mar 2010 17:41:06 +0100

acpi-support (0.133-1) unstable; urgency=low

  * New upstream version.
  * Made asus-wireless.sh cope with different strings identifying the
    vendor. (Closes: #571703)
  * Added patch to handle special ASUS touchpad leds. (Closes: #571692)

 -- Michael Meskes <meskes@debian.org>  Fri, 05 Mar 2010 15:14:21 +0100

acpi-support (0.132-2) unstable; urgency=low

  * Clarify rfkill usage for Thinkpad wireless toggling.
  * Moved dmidecode back to Recommends. It's used on more systems than
    originally anticipated.
  * Do not suggest nvclock because it apparently is not used anymore.
  * Suggest xinput that is needed for Asus touchpad toggling.
  * Downgraded toshset to a suggestion.
  * Make sure asus-wireless.sh is only executed if we are really on an
    Asus laptop. Other brands generate the same key event but must not
    execute the script. (Closes: #568244, #569756) - thanks to Stefano
    <pietranera@gmail.com>
  * Bumped Standards-Version to 3.8.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 16 Feb 2010 13:14:57 +0100

acpi-support (0.132-1) unstable; urgency=low

  * New upstream version:
    - eliminate setLEDAsusWireless altogether; this needs to be handled
      directly by the kernel when the kill switch is toggled, not in a racy
      and inconsistently-applied manner by acpi-support; and in at least some
      cases we know this already *does* happen because of reports that
      /sys/devices/platform/asus-laptop/wlan, used for toggling "the LED" with
      the current kernel module, is actually an interface for toggling *the
      antenna* that happens to also toggle the LED.  Likewise, we should not
      be responsible for bringing up the antenna at boot, so get rid of the
      file in the start.d directory.  LP: #293943, #204378, #334368.
    - Remove the asus-wireless-2 event handler, which is completely redundant
      with the pre-existing asus-wireless-{off,on} handlers.  LP: #207871.
    - Add support for ATKD 00000037 to events/asus-touchpad.
      This makes the disable touchpad buttons (!) on the EeePc 1005HA work as
      intended.  LP: #502720.
  * Allow gnome-screensaver as alternative to xscreensaver. (Closes:
    #564442)
  * Do not remove conffiles that were later brought back and are
    installed again. (Closes: #564455)

 -- Michael Meskes <meskes@debian.org>  Sat, 09 Jan 2010 19:19:51 +0100

acpi-support (0.131-6) unstable; urgency=low

  * Cleaned up lsb-base logging usage in init script. (Closes: #563919) -
    thanks to Jonathan McDowell <noodles@earth.li>
  * Downgraded dmidecode to Suggests because it is only needed on
    Thinkpads.
  * Suggest rfkill and exit ibm-wireless.sh if rfkill is not installed.
    (Closes: #564169)
  * Remove test for powersaved. The package got removed from Debian.
    (Closes: #553643)

 -- Michael Meskes <meskes@debian.org>  Sat, 09 Jan 2010 15:50:08 +0100

acpi-support (0.131-5) unstable; urgency=low

  * Made cycling through wireless and bluetooth states configurable to
    some degree. (Closes: #527276)
  * Downgraded nvclock to suggestion because it is only needed for a few
    systems. (Closes: #562883)
  * Made method for switching display on and off configurable. (Closes:
    #555110)

 -- Michael Meskes <meskes@debian.org>  Mon, 28 Dec 2009 23:08:35 +0100

acpi-support (0.131-4) unstable; urgency=low

  * Really install asus-wireless-wlan event file.
  * Re-added thinkpad-mute event handling.

 -- Michael Meskes <meskes@debian.org>  Sun, 27 Dec 2009 11:39:56 +0100

acpi-support (0.131-3) unstable; urgency=low

  * It seems that on some Asus systems at least this script breaks
    wireless completely. Therefore we remove it for now. If we find a
    way to do it right on all systems we can re-enable it. (Closes:
    #482349)
  * Made wireless control button work on Asus A3A and other similar
    systems. In the process updated state-funcs to not use deprecated
    /sys/class/net/*/wireless directory anymore. (Closes: #561953) -
    thanks to Jakub Adam <jakub.adam@ktknet.cz>

 -- Michael Meskes <meskes@debian.org>  Fri, 25 Dec 2009 14:23:17 +0100

acpi-support (0.131-2) unstable; urgency=low

  * Switch off screen even if no user is logged in. (Closes: #503986)
  * Remove dependency on hdparm, finger, powermgmt-base because neither
    is used anymore.
  * Recommend xscreensaver that is used to blank and lock the screen.

 -- Michael Meskes <meskes@debian.org>  Thu, 17 Dec 2009 14:53:17 +0100

acpi-support (0.131-1) unstable; urgency=low

  * Pinky prints "?:0" as tty so we ought to check for that too.
    (Closes: #560804)
  * Do not try to modprobe uinput if it is already available. It might
    already be (Closes: #556897)
  * New upstream version:
    - events/lenovo-undock, undock.sh: new scripts to handle the Fn+F9 "undock"
      button on ThinkPads, which unfortunately nothing else handles. Thanks to
      Jeffrey Baker for the first implementation. LP: #18864. (Closes: #388160)
  * Re-added thinkpad volume key events. (Closes: #558009)
  * Patched asus-wireless start script to not disable wireless. (Closes:
    #482349)

 -- Michael Meskes <meskes@debian.org>  Wed, 16 Dec 2009 11:20:51 +0100

acpi-support (0.130-2) unstable; urgency=low

  * Made grep accept non-ascii characters. (Closes: #559911) - thanks to
    Євгеній Мещеряков <eugen@debian.org>
  * Made screenblank use the right user to call xset. (Closes: #558216)
  * Made pidof use full paths where needed to prevent denial of service
    attacks by local users.(Closes: #553643)

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Dec 2009 17:33:29 +0100

acpi-support (0.130-1) unstable; urgency=low

  * Fixed some typos.
  * New upstream version.
  * Remove suggests on laptop-mode-tools as they are no longer called
    from any script except those under examples.
  * Made su use /bin/sh even if the user uses some non-posix shell.
    (Closes: #557442)
  * Removed bashism in power-funcs and made all script use /bin/sh.

 -- Michael Meskes <meskes@debian.org>  Sun, 22 Nov 2009 12:32:08 +0100

acpi-support (0.129-2) unstable; urgency=low

  * Better document the need of the uinput module. (Closes: #556897)
  * Remove 10-thinkpad-standby-led.sh that was forgotten earlier.
    (Closes: #556896)
  * Remove events/videobtn for good. (Closes: #556261)
  * Make sure 90-hdparm.sh is deleted no matter if it is a file or a
    symlink. (Closes: #556895)

 -- Michael Meskes <meskes@debian.org>  Wed, 18 Nov 2009 16:19:08 +0100

acpi-support (0.129-1) unstable; urgency=low

  * New upstream version:
    - Fix ibm-wireless to use the 'rfkill' tool for toggling bluetooth,
      recommending wireless-tools which currently provides this; and fix
      the isAnyWirelessPoweredOn function for the latest change in the rfkill
      /sys interface, looking under phy80211/ instead of under device/
      (LP: #397698).  The toggleAllWirelessStates() function is still broken,
      because the rfkill state on the iwl3945 (at least) is still being done
      in the kernel, so we work around this for now by leaving the function
      inactive.
      Closes: #548252, #554112, #491442
    - Fix the touchpad handler to use xinput instead of (unreliable)
      synclient, and add a corresponding Recommends; and call getXconsole so
      we can actually talk to the X server.  LP: #447211.
    - new events/asus-f8sv-touchpad: handle another touchpad ACPI event on
      another ASUS model.  LP: #218598.
    - lib/power-funcs: adjust getXconsole to work when the tty number is not
      present on the X commandline.
    - lib/policy-funcs: Recognize KDE4 PowerDevil as a power manager.
      LP: #387750.
    - lib/policy-funcs: Recognize xfce4-power-manager as a power manager.
      LP: #425155
    - Drop /etc/acpi/start.d/90-hdparm.sh: this is redundant because we're
      already calling pm-powersave on start (either via /etc/acpi/power.sh,
      or by one of the desktop power managers as enumerated in
      lib/policy-funcs) so there's no reason we should be reapplying the
      policy here.  LP: #443992, #438355, #318980.
      Closes: #509597, #529604, #533754
    - Add guidance-power-manager to the list of known desktop power managers.
      LP: #154910
    - lib/policy-funcs: Recognize dalston as a power manager.  LP: #432578
    - Drop /etc/acpi/start.d/10-save-dmidecode.sh, which is irrelevant given
      the existence of /sys/class/dmi/id/.
    - Drop events/panasonic-brightness-{down,up}, events/panasonic-mute,
      events/panasonic-volume-{down,up}, and panabright.sh, confirmed to be
      implemented now by the panasonic-laptop kernel driver. Closes: #555603
    - Drop events/asus-{a6u-touchpad,internet,lock,wireless} and
      events/asus-media-{next,play-pause,prev,stop}, confirmed to be
      implemented by the asus-laptop kernel driver.
    - Drop events/thinkpad-thinkpad and thinkpad-thinkpad.sh, which is also
      implemented in the thinkpad_acpi driver and should have been dropped a
      while ago.
    - Drop panapower.sh, which seems to have never been used.
    - Clean up /etc/acpi/toshbright.sh, which was meant to be removed back in
      jaunty
    - Drop events/video_brightness{down,up}, video_brightness{up,down}.sh: at
      least some platforms that use these ACPI sequences are seeing them
      correctly translated to input events, so those users will see duplicate
      events unless we drop them.  LP: #178860.
      Closes: #556261
    - Drop events/sony-eject, confirmed in bug reports to no longer work due
      to its use of acpi_fakekey.  This needs to be implemented in the kernel
      input layer, but in the meantime there's no reason to keep this here.
      LP: #76924.
    - Drop events/panasonic-{hibernatebtn,sleepbtn}, also reported to not work
      now due to the acpi_fakekey implementation.
    - Don't install power hook directories, instead just call pm-powersave
  * Added old powersave stuff to examples.
  * Bumped Standards-Version to 3.8.3, no changes needed.
  * Re-diffed patches
  * Re-added hibernatebtn.sh that was removed upstream.
  * Re-added Sony brightness files. Closes: #531074
  * Re-added Sony eject event.
  * Remove stuff no longer needed.
  * Accept display :0 and :0.0 when looking for the right AUTHORITY file.
    Closes: #550546
  * Added patch to make acpi_fakekey correctly send all key events, even for
    keys not available on the keyboard by sending keys through uinput.
    Closes: #373660 - Thanks to: Thomas Jaeger <ThJaeger@gmail.com>
  * Patched toggleAllWirelessStates for the latest change in the rfkill
    /sys interface as well.

 -- Michael Meskes <meskes@debian.org>  Mon, 16 Nov 2009 15:39:27 +0100

acpi-support (0.123-1) unstable; urgency=low

  * New upstream version:
    events/asus-volume-{up,down,mute}: drop, these are handled in the kernel
    input layer now
  * Removed some bashisms, closes: #530037

 -- Michael Meskes <meskes@debian.org>  Thu, 28 May 2009 15:46:50 +0200

acpi-support (0.122-2) unstable; urgency=low

  * Delete files even if we upgrade from an older version, closes: #527836

 -- Michael Meskes <meskes@debian.org>  Sat, 09 May 2009 21:51:41 +0200

acpi-support (0.122-1) unstable; urgency=low

  * New upstream version:
    * sleep.sh, hibernate.sh:
      - Don't use custom suspend/hibernate solution. Instead, call pm-utils,
        closes: #506549
    * prepare.sh, resume.sh, resume.d, suspend.d:
      - Delete; no longer used
  * Removed obsolete config files if they are unchanged.
  * Removed vbesave as it is not used anymore, closes: #497904
  * Also removed suspend config files.
  * Still offer the deleted old suspend/resume stuff as examples.
  * Simplified default file accordingly.
  * Made screenblank honor LOCK_SCREEN setting, closes: #510209

 -- Michael Meskes <meskes@debian.org>  Tue, 05 May 2009 10:00:09 +0200

acpi-support (0.121-1) unstable; urgency=low

  * New upstream version:
    * Correct suspend.d/55-down-interfaces.sh to point to
      /var/run/network/ifstate rather than /etc/network/run/ifstate.
    * Drop events/asus-mail: On newer Asus, like the eeePc, this is an
      ACPI event generated by pulling out the power chord, not pressing
      a mail key. The latter should be handled by hal-info now; if you
      have an Acer laptop with a mail key, please report a bug against
      hal-info, closes: #516662
    * Drop acpi_fakekey translations for keys that are correctly handled
      in the kernel input layer:
      - events/ibm-sleepbtn
      - events/ibm-lockbtn, thinkpad-lockorbattery.sh
      - events/ibm-hibernatebtn
      - events/lenovo-lockbtn
      - events/ibm-videobtn, closes: #456778, #515794
      - events/thinkpad-mute, always-mute.sh
      - events/thinkpad-volume-down
      - events/thinkpad-volume-up
      - events/thinkpad-thinklight, thinkpad-thinklight.sh
      - events/tosh-brightness-up
      - events/tosh-brightness-down, toshbright.sh
      - events/tosh-mute
      - events/tosh-sleep
      - events/sony-hibernate
      - events/sony-brightness-up, events/sony-brightness-down, sonybright.sh
      - events/thinkpad-brightness-down, events/thinkpad-brightness-up,
        thinkpad-brightness-up.sh, thinkpad-brightness-down.sh
    * Also drop events/thinkpad-zoom, thinkpad-zoom.sh because this key
      isn't working correctly with or without this script and should be
      fixed up in hal.
  * Simplified packaging.
  * Do not install 90-hdparm.sh four times, closes: #509588
  * Thinkpad_acpi.modprobe was removed upstream because it is said to be not
    needed anymore, closes: #518570
  * Restore old scripts that were incorrectly merged, closes: #524986
  * Made getXuser() use pinky instead of w, closes: #502141, #510619, #515784
  * Added patch to adjust panabright.sh for new panasonic_laptop driver that
    uses /sys instead of /proc, closes: #524838, #524841
  * Deconfigure wireless devices before powering them down, closes: #496570
  * Fixed incorrect variable usage in madwifi handling, closes: #501607
  * Clarified documentation about acpi-support method, closes: #484934, #497377
  * Recognize 901 as an EeePC as well, closes: #504012
  * Added a sync call to suspendorhibernate, closes: #503320
  * Also check for KDE4 powerdevil in CheckPolicy, closes: #520669
  * Added real package console-tools to dependency on virtual package
    console-utilities.
  * Made all scripts use invoke-rc.d where possible.

 -- Michael Meskes <meskes@debian.org>  Wed, 22 Apr 2009 12:53:08 +0200

acpi-support (0.114-1) unstable; urgency=low

  * Took over package for pkg-acpi. Closes: #522683
  * Bumped Standards-Version to 3.8.1.
  * Adapted fall back strategy for acpid powerbutton handling. If the old file
    is still around we will use it. Closes: #522306
  * Make sure xfce4 power manager is recognized too. Closes: #524074, #524075
  * Check for 1000H as well in EeePC check. Closes: #515707
  * New upstream version: Closes: #448673
    * The rfkill interface has changed again in the 2.6.27 release(!), so
      play catch-up once more.
    * lib/state-funcs: add support for checking the new /sys/class/rfkill
      interface for toggling wireless antennas.  LP: #267875
    * acpi-support.docs:  Add installation of README
    * control:  Add laptop-mode-tools to Suggests
    * Add installation for ac.d/ and battery.d/ directories.
      (LP: #274599)
    * wireless.sh: Fix obviously wrong typo in function call name -
      toggleWirelessStates is a non-existant function
      (LP: #108897, deb #430895)
    * Fix asus brightness hotkeys so lowest/highest brightness recognized
      (LP: #76593)
    * lib/IBM.config:  Change VBE state and POST_VIDEO for 1834's
      (LP: #40621, #211285)
    * Incorporate a portion of the changes from Debian, as detailed below.
      Debian has been accumulating valuable fixes and structural changes for
      some years, but it will take some time to digest all of them.
    * Let laptop-mode-tools run properly (closes LP: #250938)
      - power.sh: remove laptop-mode invocations, should be handled by pm-utils
      - acpi-support: remove SPINDOWN_TIME, should be controlled by laptop-mode

 -- Michael Meskes <meskes@debian.org>  Wed, 15 Apr 2009 15:11:37 +0200

acpi-support (0.109-11) unstable; urgency=high

  * Fix postinst to not remove thinkpad_acpi.modprobe. Closes: #514278
  * Fix tests in postinst that are supposed to match on upgrade only to
    not match on initial install (when $2 is empty).

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 06 Feb 2009 09:09:28 +0100

acpi-support (0.109-10) unstable; urgency=low

  * Fix default settings for Thinkpad R50e 1834. Closes: #507927

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 12 Dec 2008 16:33:12 +0100

acpi-support (0.109-9) unstable; urgency=low

  * Fix fix on broken getXuser so that it only takes the first
    line of output from w -hs that matches  (Closes: #497999)

 -- Bart Samwel <bart@samwel.tk>  Mon, 08 Sep 2008 20:42:41 +0200

acpi-support (0.109-8) unstable; urgency=low

  * Fix broken getXuser (Closes: #497999)

 -- Bart Samwel <bart@samwel.tk>  Sun, 07 Sep 2008 10:19:26 +0200

acpi-support (0.109-7) unstable; urgency=low

  * Reported in #497220: CheckPolicy() now calls getXconsole instead of
    getXuser, as it should.
  * getXuser() now uses "w" to determine the X user. The old code used
    finger, but this was highly unreliable. (Closes: #497220)
  * Added missing 'policy-funcs' include to hibernatebtn.sh (Closes:
    #497125)
  * scripts in /etc/acpi no longer test files from acpi-support-base
    to see if they should run (Closes: #497801)
  * Always consider a dbus-send call for a suspend method failed if
    dbus-send returns an error code (Closes: #496911)

 -- Bart Samwel <bart@samwel.tk>  Thu, 04 Sep 2008 20:00:27 +0200

acpi-support (0.109-6) unstable; urgency=high

  * /etc/acpi/events/sleepbtn: /etc/acpi/events/sleepbtn runs wrong
    script (Closes: #489465)
  * /etc/acpi/battery.d is ignored on newer kernels (Closes: #491396)
  * Incorrect D-BUS HAL call in dbus-hal suspend method (Closes:
    #488937)

 -- Bart Samwel <bart@samwel.tk>  Tue, 19 Aug 2008 21:39:41 +0200

acpi-support (0.109-5) unstable; urgency=low

  * Make suspendorhibernate script executable.

 -- Bart Samwel <bart@samwel.tk>  Sun, 22 Jun 2008 23:11:52 +0200

acpi-support (0.109-4) unstable; urgency=low

  * Bashisms of the form '. script args' (Closes: #485435)
  * Use legacy suspend mode by default for existing setups (but not for
    new ones) . (Closes: #485564)
  * Do not send fake keys to user interface for /etc/acpi/sleep.sh and
    /etc/acpi/hibernate.sh calls, only for button presses.
    (Closes: #484901)

 -- Bart Samwel <bart@samwel.tk>  Sun, 22 Jun 2008 23:01:32 +0200

acpi-support (0.109-3) unstable; urgency=low

  * /usr/share/acpi-support/screeblank returns 0 before blanking the
    screen (Closes: #483015)

 -- Bart Samwel <bart@samwel.tk>  Sun, 22 Jun 2008 22:43:13 +0200

acpi-support (0.109-2) unstable; urgency=low

  * Reinstate thinkpad_acpi.modprobe to fix "Many Thinkpad X60 keys stop
    working" (Closes: #481253)
  * Fix incorrect usage of getXconsole instead of getXuser in lid.sh
    (Closes: #481534)
  * toshset, nvclock moved to Recommends instead of Depends (Closes: #410918,
    #434566, #438665, #445900 #457387)
  * Deprecate built-in suspend/hibernate handling in favor of dbus
    calls.
  * Support suspend/hibernate handling by dbus calls to a power
    management daemon or HAL, calling the pm-utils package, calling the
    hibernate package, or using the legacy built-in suspend/hibernate support.
    By default, send keys to the known power management daemons, or if they
    are not running, fall back to use dbus to a power management daemon,
    dbus directly to HAL, and direct calls to pm-utils.
  * Add Recommends for hal, pm-utils, dbus.
  * Ignore errors in 90-hdparm.sh while detecting if APM is supported,
    since not all drives support the HDIO_GET_IDENTITY operation.
    (Closes: #481685)
  * lid.sh doesn't give lid.sh.pre a chance to abort the close (Closes:
    #482708)
  * Replace dependency on console-tools by console-utilities, which is a
    virtual package that allows kbd | console-tools. (Closes: #481173)
  * Installation Fails if /proc/acpi/event Not Present (Closes: #481312)
  * Set DM-Upload-Allowed field to yes.

 -- Bart Samwel <bart@samwel.tk>  Sun, 25 May 2008 18:17:46 +0200

acpi-support (0.109-1) unstable; urgency=low

  * New upstream release 0.109 (Ubuntu Hardy) [no relevant changes].
  * New upstream release 0.108 (Ubuntu Hardy) [no relevant changes].
  * New upstream release 0.107 (Ubuntu Hardy):
    * "lib/FUJITSU SIEMENS.config": Fix typo, which caused failures on Fujitsu
      notebooks (LP: #203452)
  * New upstream release 0.106 (Ubuntu Hardy):
    * Add events/asus-video to support asus switch video hotkey; patch from
      Nicolò Chieffo (LP: #138228)
    * Fix the value range in sonybright.sh (0-7 instead of 1-8); patch from
      unggnu (LP: #136380)
    * "lib/FUJITSU SIEMENS.config":
      - Enable suspend for Fujitsu-Siemens C1110 (LP: #52970)
      - Enable STR for Fujitsu-Siemens Lifebook S7020, S7110
    * events/asus-*: Fix event key names for ASUS (HOTK); patch from
      Jeroen van der Vegt (LP: #25784)
    * Fix names in comments for events/panasonic-{mute,volume-down,volume-up}
    * Drop thinkpad_acpi.modprobe: the workarounds therein are not needed for
      thinkpad_acpi in Hardy anymore; investigations by Jerone Young
      (LP: #194679) [ Note from Bart Samwel: Therefore probably not needed in
      current Debian kernels either. ]
  * New upstream version 0.105 (from Ubuntu Hardy):
    * Fix screenblank for KDE by using a dcop call
  * Add HOTK key names in events/asus-* for more keys than provided by the
    upstream.
  * Remove extra non-owned files on purge. Closes: #455012
  * Call old acpid power button handler /etc/acpi/powerbtn.sh if present.
    Closes: #461311
  * Support "operstate" power state file for madwifi drivers. Closes: #453706.
  * Support operstate, rf_kill and power/state to determine if wireless is
    powered on. Closes: #463719.
  * Support asus-laptop module as well as asus-acpi module for setting the
    wireless LED. Closes: #453856.
  * As a fallback, detect X instances that were not started on a vt.
    Closes: #462954.
  * Add missing checks that acpi-support is installed to some of the config
    scripts. Closes: #469556.
  * Remove Default-Stop entries from vbesave init script, since the script
    doesn't do anything when it's stopped. Closes: #461441.
  * Check that a drive supports APM before using hdparm -B on it.
    Closes: #458787.
  * Divert sleep button to sleep.sh if power management daemons are not
    running, for thinkpad, panasonic, sony and toshiba laptops.
    Closes: #467374, 373660.
  * Stop laptop mode early in the suspend/hibernate process, and start it late
    at resume time. This fixes suspend/resume problems on at least one machine.
    Closes: #458437.
  * Config option USE_HIBERNATE_PACKAGE=true will now instruct acpi-support to
    delegate sleeping and hibernation to the "hibernate" package.
    Closes: #426934, #405563.
  * Check if we can actually open event device in acpi_fakekey. Closes: #410478.
  * Support Asus R1F tablet screen rotation. Kudos to Antonio Trueba.
    Closes: #450531.
  * Remove /etc/acpi/resume.d/49-915-resolution-set.sh. It will be moved to
    the 915resolution package. Closes: #447742, #467347.
  * Don't misinterpret Asus Eee PC hotkeys as brightness keys. Closes: #459328.
  * Support Asus Eee PC volume up/down and mute keys. Closes: #459326.
  * Get rid of extra quotes in asus-wireless.sh.
  * Fix handling of ${shlibs:Depends} in control file (it wasn't generated in
    the rules file).
  * Move radeontool to Recommends. (This is possible because radeontool is in
    task "laptop" now.)
  * Once again got rid of some bash dependencies. Closes: #453861.
  * Be able to detect X user when X has been started using startx. Thanks to
    Csaba Halasz for the patch. Closes: #471510.
  * Call wpa_action stop for wpasupplicant-controlled interfaces before suspend.
    Closes: #473184.
  * Correctly bring up logical interfaces on resume. Closes: #475002.
  * Instead of restarting Network Manager on suspend, call its sleep and wakeup
    events. Closes: #477917.
  * Add console-tools to depends of acpi-support-base, since we use fgconsole in
    power-funcs.
  * Fix dcop call in CheckPolicy to pass the X user. Closes: #480033.
  * Let acpi-support depend on exact version of acpi-support-base.

 -- Bart Samwel <bart@samwel.tk>  Mon, 12 May 2008 17:10:00 +0200

acpi-support (0.103-5) unstable; urgency=low

  [ Bart Samwel ]
  * Don't do exit in 90-hdparm.sh, it exits the whole resume/startup process.
    Closes: #453478.
  * Read laptop-mode.conf better in 90-hdparm.sh. Closes: #452489.
  * Set hdparm -B 128 while on battery in 90-hdparm.sh. Head parking is useful
    on the road for shock protection. Still set hdparm -B 254 while on AC.
  * Listen on a wider range of battery and ac events (required on some
    laptops).

  [ Raphael Hertzog ]
  * Updated Standards-Version to 3.7.3 (no change).
  * Wrap some changelog lines to please lintian.
  * Fix dh_gencontrol invocation to pass "-pacpi-support" before "--".

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 13 Dec 2007 20:27:24 +0100

acpi-support (0.103-4) unstable; urgency=low

  * acpi-support-base now Replaces acpi-support (<= 0.103-2).
    Closes: #451748.
  * Fix checks for existing handlers in powerbutton handler. Closes: #451803
  * Restart laptop-mode after resume, so all of the hardware settings are
    reapplied.

 -- Bart Samwel <bart@samwel.tk>  Sun, 18 Nov 2007 10:36:29 +0200

acpi-support (0.103-3) unstable; urgency=low

  * Rebuild as Debian native package because we diverged too much from Ubuntu.
    This ensures that the source tarball corresponds really to what's in SVN
    and won't reintroduce deleted files. Closes: #451568, #451569

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 17 Nov 2007 20:18:29 +0100

acpi-support (0.103-2) unstable; urgency=low

  [ Bart Samwel ]
  * getXconsole returns wrong DISPLAY="0\n0" (Closes: #437940)
  * powerbtn handler missing (Closes: #433877)
  * Asus wireless card on/off button fix (Closes: #410952)
  * Restore screen brightness on certain Asus laptops (Closes: #448134)
  * Split off power button support into acpi-support-base.
  * Set hdparm power management to 254 for all hard drives. (Closes: #448673)
  * Don't check executable flags on /etc/acpi/suspend.d and /etc/acpi/resume.d
    scripts. (Closes: #447571)
  * Attempt to fix brightness keys for Sony fr215 laptop (Closes: #446056)
  * Support KDE screensaver for screen blanking (Closes: #446516)
  * Listen for Fn+F5 and Fn+F6 again on thinkpads (Closes: #446647)
  * Fix incorrect reference to module sbs in resume.d/72-acpi-pain.sh
    (Closes: #447085)

  [ Raphael Hertzog ]
  * Add descriptions to LSB headers in init scripts (fix lintian warnings).

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 15 Nov 2007 11:45:41 +0100

acpi-support (0.103-1) unstable; urgency=low

  * New upstream version 0.96 (from Ubuntu Gutsy):
    * ibm-acpi has been renamed to thinkpad-acpi. Rename options file
      accordingly. (Closes: #434845)
  * New upstream version 0.96-ubuntu1 (from Ubuntu Gutsy):
    * Build packages for lpia as well.
  * New upstream version 0.97 (from Ubuntu Gutsy):
    * Improve X display finding
    * Switch Thinkpad wireless hotkey control back to firmware for now
    * Improve Toshiba wireless handling
    * Check fragment scripts are executable
    * Improve Panasonic support
    * Improve state saving/restoring over suspend/resume
    * Add Asus brightness key support
    * Alter some dependencies to recommends
    * Fix init script to check state on boot
    * Depend on the appropriate shlibdeps
    * Add a postrm to tidy up the init scripts
    * We no longer need to stop mysql
    * Tidy up scripts so a few errors aren't produced
    * Update sony brightness script to handle sony-laptop
  * New upstream version 0.98 (from Ubuntu Gutsy):
     * Add support for the video toggle hotkey
  * New upstream version 0.99 (from Ubuntu Gutsy):
    * prepare.sh: Fix missing space in executability test.
  * New upstream version 0.100 (from Ubuntu Gutsy):
    * send events on ACPI brightness presses
  * New upstream version 0.101 (from Ubuntu Gutsy):
    * Switch Thinkpad to using ACPI events for magic keys so that
      'thinkpad-keys' can go away and save us all from the new Lenovopad
      slow NVRAM.
    - See 'hotkey-setup' for remapping and initial module loading + setup.
    * Extend mask used in 'thinkpad_acpi.modprobe'.
  * New upstream version 0.102 (from Ubuntu Gutsy):
    * Poke thinkpad-keys on CMOS notification
  * New upstream version 0.103 (from Ubuntu Gutsy):
    * Replace call to 'thinkpad-keys-update' with "thinkpad-keys --update"
    * Remove wireless-related comment gruff from 'thinkpad-cmos' event.
  * Use nvclock instead of smartdimmer for setting LCD brightness on Sony
    laptops. (Closes: #430491)
  * Call the correct function in wireless.sh to toglle wireless states.
    (Closes: #430895)
  * Correctly detect keyboard event device in acpi_fakekey. (Closes: #433771)
  * Add LSB dependency info to acpi-support and vbesave init scripts.
    (Closes: #432020)
  * Fix a problem in power-funcs (getXconsole function), which didn't work when
    COLUMNS was set. (Closes: #437141)
  * Press LEFT SHIFT (using acpi_fakekey) after unblanking the screen when the
    lid is opened. (Closes: #374069)
  * Fix path to backlight control file for sony laptops, from upstream version
    0.97. (Closes: #424004)
  * Honor DEB_BUILD_OPTIONS=nostrip. (Closes: #436370)
  * Document thinkpad_acpi options in thinkpad_acpi.modprobe. (Closes: #438430)
  * Send SIGHUP to ksysguardd on resume so that it reopens its files in
    /proc/acpi. (Closes: #421017)
  * Correct directory existence check in power.sh. (Closes: #430494)
  * Perform error checking for vbetool. (Closes: #445213)
  * Reduced dependency on xbase-clients to x11-xserver-utils. (Closes: #438665)

 -- Bart Samwel <bart@samwel.tk>  Sun, 07 Oct 2007 11:15:00 +0200

acpi-support (0.95-2) unstable; urgency=low

  * Remove spurious file acpi-support_0.90-2.diff.gz added in the repository
    during last merge (it's still in the orig.tar.gz though).
  * Add a new SKIP_INTERFACES variables in /etc/default/acpi-support and use
    it to define network interfaces that are not tied to hardware to avoid
    shutting them down during suspend.
  * Properly remove files that have been removed in the SVN in the clean
    target. This is required because the files are still present in the
    .orig.tar.gz file (otherwise autobuilder builds will have the unwanted
    files).
  * Add XS-Vcs-* fields in debian/control.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 15 Jun 2007 21:34:42 +0200

acpi-support (0.95-1) unstable; urgency=low

  [ Bart Samwel ]
  * New upstream versions (from Ubuntu Feisty and Gutsy).
    * 0.95: Clean up issues with toggling multiple wireless cards.
      - Move variable initiation into loop inside 'wireless.sh'
      - Move contents of 'wireless.sh' into
        lib/state-funcs:toggleAllWirelessState()
      - Update '{ibm,tosh,asus}-wireless.sh' to use state-funcs
    * 0.95: Remove spurious 'echo HERE' from lib/state-funcs.  D'oh.
    * 0.94: Save and restore values that the kernel does not preserve across
      suspend/resume and hibernate/resume:
      - /sys/class/net/eth*/device/rf_kill
      - /proc/acpi/ibm/bluetooth
      - /sys/devices/system/cpu/cpu*/cpufreq/scaling_governor
    * 0.94: White list Lenovo ThinkPad Z60m as working suspend.
    * 0.93: Change 'wireless.sh' to use 'device/rf_kill' for wireless
      devices (if available) in preference to 'device/power/state' which
      has been removed by the upstream kernel developers.
    * 0.93: Teach 'lib/state-funcs:isAnyWirelessPoweredOn( )' to also check
      'device/rf_kill' if it's available.
    * 0.93: Change 'ibm-wireless.sh' to rotate wireless and bluetooth states
    * 0.93: Correct inverted logic in 'isAnyWirelessPoweredOn()'.
    * 0.93: Change script shebangs to use '/bin/sh' instead of '/bin/bash'.
    * 0.92: Add 'events/sony-eject' for Sony Vaio TX3.
  * Stop pretending to control laptop-mode-tools, which
    only works (and badly too) in the upstream Ubuntu version. The lmt
    package provides its own acpi bindings. Add reference in config file
    to laptop-mode-tools as a replacement for the current non-working
    configuration option. (Closes: #425800)
  * Change Recommends of laptop-mode-tools to Suggests. This should prevent
    automatic enabling of laptop mode for unsuspecting users, it should not
    be installed by default.
  * Check that acpi-support is still installed in script configuration files.
    (Closes: #424752)
  * Change order of PCI video state restoration so that it is always the last
    to be saved and the first to be restored. (Closes: #396897)
  * Only use ifup/ifdown for interfaces listed by /etc/network/run/ifstate.
    For other interfaces that are up, use "ifconfig down" to force them down,
    and restart network-manager and ifplugd after resume to bring them back up.
    (Closes: #373659)
  * Do not ifup/down "lo" and "dummy..." interfaces over suspend.
    (Closes: #427128)
  * Removed bash dependencies. (Note that this may break custom scripts in
    /etc/acpi that contain bashisms, as the scripts are sourced, not just
    executed.) (Closes: #407510)
  * Instead of only restoring the hardware clock on resume, stop and start the
    hwclock.sh service over suspend. (Closes: #389537)
  * Move radeontool call out of loop in lid.sh. (Mentioned in bug 391498, but
    does not solve the bug.)
  * Potential fix for "sometimes lid.sh doesn't work" bug. (Part of bug 391498,
    but not enough to close it.)
  * Bump up Debhelper compatibility level to 5.
  * Remove useless use of grep in asus-touchpad.sh.

  [ Raphael Hertzog ]
  * Mark Bart as Maintainer.
  * Put myself in Uploaders instead.
  * Sponsor upload for Bart. Change version to 0.95-1.
  * Manually remove (or move out of the way) old scripts in postint. Concerns:
    - /etc/acpi/suspend.d/80-video-pci-state.sh
    - /etc/acpi/resume.d/49-855-resolution-set.sh
    - /etc/acpi/resume.d/13-855-resolution-set.sh
    - /etc/modprobe.d/toshiba_acpi.modprobe
  * Documents policy for handling obsolete configuration files in
    README.Debian.

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 14 Jun 2007 21:52:16 +0200

acpi-support (0.90-4) unstable; urgency=low

  * Change logic of isAnyWirelessPoweredOn() to only succeed if one wireless
    device with support for reporting a "state" in sysfs is turned on;
    closes: #410402.
  * Add myself as uploader.
  * Install new manpage for acpi_fakekey, thanks Nico Golde; closes: #383365.
  * Call dh_strip to drop the ELF comment section of acpi_fakekey.
  * Depend on radeontool on all arches.

 -- Loic Minier <lool@dooz.org>  Sun, 11 Feb 2007 19:48:22 +0100

acpi-support (0.90-3) unstable; urgency=low

  * Disable VESA BIOS Extensions (VBE) state saving / restoring for X60s
    Thinkpads (models 1702*, 1704*); closes: 407188.

 -- Loic Minier <lool@dooz.org>  Fri, 19 Jan 2007 22:57:56 +0100

acpi-support (0.90-2) unstable; urgency=low

  * Invoke /usr/sbin/s2disk instead of /sbin/s2disk; thanks Jan Luebbe.
  * Don't pass any arguments to s2disk as it doesn't support these in newer
    uswsusp versions.
  * Fix "APCI" instead of "ACPI" typo in IBM.config; thanks Joshua Kwan;
    closes: #389511.

 -- Loic Minier <lool@dooz.org>  Sun, 22 Oct 2006 19:15:00 +0200

acpi-support (0.90-1) unstable; urgency=low

  * New upstream versions (from Ubuntu Edgy).
    * 0.90: Explicitly switch the screen back to text mode if it was that way
            before resume.
    * 0.89: Add support for high-res uswsusp
    * 0.88: Change defaults
    * 0.87: Add support for using uswsusp
  * Conflict with uswsusp <= 0.2 as well.

 -- Loic Minier <lool@dooz.org>  Sat, 21 Oct 2006 12:59:06 +0200

acpi-support (0.86-1) unstable; urgency=low

  * New upstream version (from Ubuntu Edgy).
    * 0.86: Remove stop links from rc0 and rc6
    * 0.85: Don't unload nsc-ircc on suspend
  * Add ${shlibs:Depends} and call to dh_shlibdeps. Closes: #383449
  * 855resolution is no more in Debian, replaced by 915resolution.
    Closes: #381210
  * Improved description, thanks to Clément Stenac. Closes: #383691
  * Removed README.toshiba which doesn't apply to Debian (or which doesn't
    apply any more, the toshiba_acpi option indicated doesn't exist in
    2.6.17.7). Closes: #383326

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 20 Aug 2006 10:43:59 +0200

acpi-support (0.84-1) unstable; urgency=low

  * New upstream version.
  * Put laptop-mode-tools in Recommends instead of Depends to not force the
    user to use it: it can be painful to have to wait for the disk to spin up
    and the gain is not always worth it with recent (very small) hard-disks.
  * Add upstream changelog.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 16 Jun 2006 17:51:06 +0200

acpi-support (0.80-1) unstable; urgency=low

  * Initial release.
  * Add a watch file.
  * Little fixes for lintian compliancy.

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 15 May 2006 00:02:44 +0000
